<?php
//user_fetch.php
include('db_con.php');
if (isset($_SESSION['user_id'])) {
    $user_type = $_SESSION['user_type'];
    $user_id = $_SESSION['user_id'];
    $user_name = $_SESSION['user_name'];
    $branch_id = $_SESSION['branch_id'];
    $branch_name = $_SESSION['branch_name'];
    $store_id = $_SESSION['store_id'];
    $store_name = $_SESSION['store_name'];
}else{
  header('Location: login');
  die();
}
$sql = "SELECT doc_status FROM user_rights WHERE user_id = '".$user_id."' and doc_name = 'jv_edit'";
            $statement = $connect->prepare($sql);
            $statement->execute(); // no need to add `$sql` here, you can take that out
            $jv_edit = $statement->fetchColumn();
            $sql = "SELECT doc_status FROM user_rights WHERE user_id = '".$user_id."' and doc_name = 'jv_delete'";
            $statement = $connect->prepare($sql);
            $statement->execute(); // no need to add `$sql` here, you can take that out
            $jv_delete = $statement->fetchColumn();
            $sql = "SELECT doc_status FROM user_rights WHERE user_id = '".$user_id."' and doc_name = 'jv_print'";
            $statement = $connect->prepare($sql);
            $statement->execute(); // no need to add `$sql` here, you can take that out
            $jv_print = $statement->fetchColumn();
$query = '';
$output = array();
$query .= "
SELECT m.cid , m.dated, u.user_name,  sum(d.amount) amount from cashbook m, cashbook_detail d , user_detail u where m.cid=d.cid and m.user_id=u.user_id AND ";
if(isset($_POST["search"]["value"]))
{
	$query .= '(m.dated LIKE "%'.$_POST["search"]["value"].'%" ';
	$query .= 'OR m.cid LIKE "%'.$_POST["search"]["value"].'%" ';	
	$query .= 'OR u.user_name LIKE "%'.$_POST["search"]["value"].'%" )';
}
if(isset($_POST["order"]))
{
	$query .= 'group by m.cid ORDER BY '.$_POST['order']['0']['column'].' '.$_POST['order']['0']['dir'].' ';
}
else
{
	$query .= 'group by m.cid order by m.cid desc ';
}
if($_POST["length"] != -1)
{
	$query .= 'LIMIT ' . $_POST['start'] . ', ' . $_POST['length'];
}
$statement = $connect->prepare($query);
$statement->execute();
$result = $statement->fetchAll();
$data = array();
$filtered_rows = $statement->rowCount();
foreach($result as $row)
{
	
	
	$sub_array = array();

	$sub_array[] = $row['cid'];	
	$sub_array[] = $row['dated'];
	$sub_array[] = $row['user_name'];
	
	$sub_array[] = $row['amount'];
	
	
	
	
	if($jv_edit=='ON')
	{
		$sub_array[] = '<a href="cashbook_edit.php?update=1&id='.$row["cid"].'"><span class="btn btn-warning"><i class="fa fa-edit"></i></span></a>';
	}	
		
	
	if($jv_delete=='ON')
	{
		$sub_array[] = '<button type="button" name="delete" id="'.$row["cid"].'" class="btn btn-danger  delete" data-status=""><i class="fa fa-trash-o"></i></button>';
	}	
	
	$data[] = $sub_array;
}
$output = array(
	"draw"				=>	intval($_POST["draw"]),
	"recordsTotal"  	=>  $filtered_rows,
	"recordsFiltered" 	=> 	get_total_all_records($connect),
	"data"    			=> 	$data
);
echo json_encode($output);
function get_total_all_records($connect)
{
	$statement = $connect->prepare("SELECT * FROM cashbook ");
	$statement->execute();
	return $statement->rowCount();
}
?>